import setuptools


if __name__ == "__main__":
    with open("README.md", "r") as readme:
        long_description = readme.read()
    setuptools.setup(
        name="aiosched",
        version="0.1.0",
        author="Nocturn9x",
        author_email="hackhab@gmail.com",
        description="Yet another Python async scheduler",
        long_description=long_description,
        long_description_content_type="text/markdown",
        url="https://git.nocturn9x.space/nocturn9x/aiosched",
        packages=setuptools.find_packages(),
        classifiers=[
            "Programming Language :: Python :: 3",
            "Operating System :: OS Independent",
            "License :: OSI Approved :: Apache License 2.0",
        ],
        python_requires=">=3.8",
    )
