# aiosched: Yet another Python async scheduler

## Reasoning

Why make yet another async library? Well, there's a few reasons really:
- I'm bored and love reinventing the wheel
- My [first attempt](https://git.nocturn9x.space/nocturn9x/giambio) at writing a modern, fully-featured async scheduler
helped me understand a lot of things about how such a library should be designed, so I'm starting from scratch to apply
what I've learned and hopefully not make the same mistakes as last time
- Did I mention that I'm bored?

## Disclaimer

Everything is very much a work in progress for now, which is reflected by the versioning scheme I'm using (0.0.x): API
changes may (and likely will) occur at any time even between commits, at least until I get to something simple, stable and
most importantly easy to reason about both while reading the library's code and while using it. Once the API is deemed
stable and everything is well tested, I'll start releasing 1.x.y versions of the library (probably under a different name,
as that's a work in progress too).